Subject: Manipulating existing revisions by push or pull?

From: "Lasse Kliemann" <[email-masked]>
Date: Mon, 16 Nov 2009 21:49:10 +0000 (UTC)

I've got a conceptual question.

I know that one can change history in a local repository with the 
'rebase' command, e.g., using the interactive mode. 

Is there any way to modify existing revisions in a local 
repository by a pull (and merge, whatever) from a remote one? Or 
is there any way to modify existing revisions in a remote 
repository by a push (or whatever) from a local one?

Put a different way: consider there is a hostile entity from 
which I pull or which I allow to push to me. Can this entity 
fiddle with my history? Can it change the data in existing 
revisions in my repository? Or can it only make new revisions 
grow on my side?

Thank you
Lasse